curl --request PUT \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayOrder": 123,
"label": "<string>",
"stages": [
{
"displayOrder": 123,
"label": "<string>",
"metadata": {},
"stageId": "<string>"
}
]
}
'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}curl --request PUT \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayOrder": 123,
"label": "<string>",
"stages": [
{
"displayOrder": 123,
"label": "<string>",
"metadata": {},
"stageId": "<string>"
}
]
}
'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
El orden en que se mostrará esta etapa de pipeline. Si dos etapas de pipeline tienen un "displayOrder" coincidente, se ordenarán alfabéticamente por etiqueta.
Una etiqueta que se utiliza para organizar las etapas de pipeline en la UI de HubSpot. Cada etiqueta de etapa de pipeline debe ser única dentro de ese pipeline.
Las etapas asociadas con el pipeline. Pueden recuperarse y actualizarse mediante los puntos de terminación de las etapas de pipeline.
Show child attributes
successful operation
Si se archiva o no el pipeline.
La fecha en que se creó el pipeline. Los pipelines predeterminados tendrán createdAt = 0.
El orden en que se mostrará este pipeline. Si dos pipelines tienen un "displayOrder" coincidente, se ordenarán alfabéticamente según la etiqueta.
Un identificador único generado por HubSpot que se puede utilizar para recuperar y actualizar el pipeline.
Una etiqueta única que se utiliza para organizar los pipelines en la UI de HubSpot
Las etapas asociadas con el pipeline. Pueden recuperarse y actualizarse mediante los puntos de terminación de las etapas de pipeline.
Show child attributes
La fecha en que se actualizó por última vez el pipeline.
La fecha en que se archivó el pipeline. "archivedAt" solo estará presente si se archiva el pipeline.